Subject: Re: Reference to absolute path seems broken.
From: "Mathijs Romans" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Feb 2008 14:58:13 +0100
List-Id: <cygwin.cygwin.com>

On Fri, Feb 29, 2008 at 2:48 PM, Eric Blake <[email-masked]> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
>  Hash: SHA1
>
>  According to Mathijs Romans on 2/29/2008 6:42 AM:
>
> | (ERROR)
>  | Mathijs@chef /
>  | $ diff /Cygwin.bat Thumbs.db
>  | /usr/bin/diff: /Cygwin.bat: No such file or directory
>  |
>  | Notice the slash before Cygwin.bat. Is this normal?? Other commands
>  | such as 'ls' work fine.
>
>  The slash before the file name in the error message is normal - diff uses
>  the file name you typed in generating its message.  However, why the diff
>  was unable to find the file by its absolute name is not normal - I
>  couldn't reproduce it, so there is something different about your / than
>  there is for mine.  Running strace may shed some light on this, as well.

Thanks for your quick answer. I first tried to run strace which gave
no output at all. Only then I realised there might be a windows
command 'diff' and I was running that one. So I installed diffutils
with the great Cygwin packagemanager. Then I got the strace output and
the same error. Then I restarted Cygwin, and now the error is gone!

(OK)
Mathijs@chef /
$ diff /Cygwin.bat Cygwin.ico
Files /Cygwin.bat and Cygwin.ico differ

The combination of posix/windows is terribly confusing for me
sometimes. Thanks again for your help!

Mathijs

>
>  | Can somebody help me?
>  |
>
>  We need 'cygcheck -svr' output, as a text attachment, to learn more about
>  your /.
>
>  | Problem reports:       http://cygwin.com/problems.html
>
>  - --
>  Don't work too hard, make some time for fun as well!
>
>  Eric Blake             [email-masked]
>  -----BEGIN PGP SIGNATURE-----
>  Version: GnuPG v1.4.5 (Cygwin)
>  Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
>  Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
>  iD8DBQFHyA0284KuGfSFAYARArs/AKClMPXrjzU/3+25Fd9xsCVKyUpswgCfXHFy
>  RXnJUpVyAPfaFKTv7AP3MjQ=
>  =5dS4
>  -----END PGP SIGNATURE-----
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/